networks:
  outline-net:
    name: outline-net
    driver: bridge

services:
  outline:
    image: outlinewiki/outline:latest
    container_name: outline
    restart: unless-stopped
    command: sh -c "yarn db:migrate --env=production-ssl-disabled && yarn start --env=production-ssl-disabled"
    env_file: ./stack.env
    ports:
      - "3000:3000"
    depends_on:
      - postgres
      - redis
    networks:
      - outline-net

  postgres:
    image: postgres:15
    container_name: outline-postgres
    restart: unless-stopped
    environment:
      - POSTGRES_USER=rishi
      - POSTGRES_PASSWORD=dexter
      - POSTGRES_DB=outline
    volumes:
      - /mnt/user/appdata/outline/db-data:/var/lib/postgresql/data
    networks:
      - outline-net

  redis:
    image: redis
    container_name: outline-redis
    restart: unless-stopped
    volumes:
      - /mnt/user/appdata/outline/redis-data:/data
      - /mnt/user/appdata/outline/redis.conf:/redis.conf
    command: ["redis-server", "/redis.conf"]
    networks:
      - outline-net
